DOXYGEN2MAN(1)

NAME
doxygen2man - A tool to generate man pages from Doxygen XML files

SYNOPSIS
doxygen2man [OPTIONS] <XML file>

DESCRIPTION

This is a tool to generate API manpages from a doxygen-annotated header file First run doxygen on the file and then run this program against the main XML file it created and the directory containing the ancilliary files. It will then output a lot of *.3 man page files which you can then ship with your library.

You will need to invoke this program once for each .h file in your library, using the name of the generated .xml file. This file will usually be called something like <include-file>_8h.xml, eg qbipcs_8h.xml

If you want HTML output then simpy use nroff on the generated files as you would do with any other man page.

OPTIONS

-a  Print ASCII dump of man pages to stdout

-m  Write man page files to <output dir>

-P  Print PARAMS section

-s <n>
    Write man pages into section <n> (default 3)

-p <package>
    Use <package> name. default <Package>

-H <header>
    Set header (default

-I <include>
    Set the include filename (defaults to the one in the XML file or unknown.h)

-i <prefix>
    Set the prefix for header files (eg qb/) if the are installed a subdir of /usr/include

-C <company>
    Set the company name in the copyright (default Red Hat)

-D <date>
    Date to print at top of man pages (format not checked, default: today)

-Y <year>
    Year to print at end of copyright line (default: today's year)

-S <year>
    Year to print at start of copyright line (default: 2010)

-o <dir>
    Write all man pages to <dir> (default .)

-d <dir>
    Directory for XML files (./xml/)

-c  Use the Copyright line from the header file as the copyright line in the manpage. This requires that doxygen2man has access to the original .h file (see option -O below) and that the Copyright line has a defined format. It whould be within the first 10 lines of the file and start with the text " * Copyright". If this line is not found then the current year or that given by the -Y option will be used.

-O  Specifies the directory containing the original header files. This is (currently) only used by the -c option above.

-h  Print usage text

SEE ALSO
doxygen(1)

AUTHOR
Christine Caulfield